<?php
$custom_logo_id = get_theme_mod( 'custom_logo' );
$logo = wp_get_attachment_image_src( $custom_logo_id , 'full' );
$blog_info    = get_bloginfo( 'name' );
?>
<div class="auliettalite-logo"> 
	<div class="inner-logo">
	<?php 
	if ( has_custom_logo() && get_theme_mod('auliettalite_logo_type') == 'logo') { ?>
		<a class="logo-img" href="<?php echo esc_url( home_url( '/' ) ); ?>">
	    	<img class="logo-dark" src="<?php echo esc_url($logo[0]); ?>" alt="<?php echo esc_attr( get_bloginfo('name') ); ?>">
	    </a>
	<?php }else{
		if( $blog_info ) { ?>
		<?php if ( is_front_page() && ! is_paged() ) : ?>
			<h1 class="site-title"><?php echo esc_html( $blog_info ); ?></h1>
		<?php elseif ( is_front_page() || is_home() ) : ?>
			<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php echo esc_html( $blog_info ); ?></a></h1>
		<?php else : ?>
			<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php echo esc_html( $blog_info ); ?></a></p>
		<?php endif; ?>
	<?php } 
		}
	?>
	<?php if ( get_theme_mod( 'auliettalite_hide_tagline') == 'show' ) { ?>
	    <span class="tag-line"><?php echo esc_html(get_bloginfo( 'description')); ?></span>
	<?php  } ?>
	</div>
</div>